import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/home/index',
    method: 'get',
    params: query
  })
}

export function fetchHome(id) {
  return request({
    url: '/home/read',
    method: 'get',
    params: { id }
  })
}

export function createHome(data) {
  return request({
    url: '/home/save',
    method: 'post',
    data
  })
}

export function updateHome(data) {
  return request({
    url: '/home/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteHome(id) {
  return request({
    url: '/home/delete?id=' + id,
    method: 'get'
  })
}
